Invalid system metadata in production

2014-05-07 15:34 - Dave Vieglais

Status: Closed Start date: 2014-09-24

Priority: Normal Due date: 2014-09-24

Assignee: Dave Vieglais % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Story Points:    

Description

the NodeReference type is derived from xs:NonEmptyString, and so an empty element of preferredMemberNode or

blockedMemberNode in replicationPolicy is invalid.

Unfortunately, there are instances of system metadata that have these elements as empty values, and thus are invalid according to

the DataONE Types schema.

Akasha.10.1 on the KNB

is one such instance.

The CN must not accept invalid SystemMetadata, and Member Nodes should not be sending it.

History

#1 - 2014-06-26 22:11 - Robert Waltz

- Milestone changed from None to CCI-2.0

#2 - 2014-09-24 18:34 - Robert Waltz

- Due date set to 2014-09-24

- Target version set to Maintenance Backlog

- Start date set to 2014-09-24

#3 - 2018-01-17 19:58 - Dave Vieglais

- % Done changed from 0 to 100

- Status changed from New to Closed
